import { r as registerInstance, h, g as getElement } from './index-D3R9UMmk.js';

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";

const GenericSpinner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("div", Object.assign({ key: '39719300a608a254450c4e5e7996d8b4c8ac2b8c', class: "spinner" }, this.host.attributes));
    }
    get host() { return getElement(this); }
};
GenericSpinner.style = genericSpinnerCss;

export { GenericSpinner as mvx_generic_spinner };
//# sourceMappingURL=mvx-generic-spinner.entry.js.map

//# sourceMappingURL=mvx-generic-spinner.entry.js.map