import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { c as classNames } from './index-CcLhQtEp.js';
import './_commonjsHelpers-Dj2_voLF.js';

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";

const TransactionAccountName = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (this.name) {
            return (h("div", { class: classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return h("mvx-trim-text", { text: this.address, class: classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
};
TransactionAccountName.style = transactionAccountNameCss;

export { TransactionAccountName as mvx_transaction_account_name };
//# sourceMappingURL=mvx-transaction-account-name.entry.js.map

//# sourceMappingURL=mvx-transaction-account-name.entry.js.map