import { r as registerInstance, h, F as Fragment } from './index-D3R9UMmk.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-uM8_L1mr.js';

const walletConnectBodyScss = ".modal-body{display:flex;justify-content:center;align-items:center;padding:16px;min-height:300px;flex-direction:column}.qr-code-container{display:flex;justify-content:center;align-items:center;width:300px;height:auto}";

const WalletConnectModal = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.qrCodeSvg = '';
        this.description = '';
    }
    render() {
        return (h("div", { key: '38905702b7bc9c6a0ac11125e91fedf4c6428ffd', class: "modal-body" }, this.qrCodeSvg ? (h(Fragment, null, h("div", { class: "qr-code-container", "data-testid": DataTestIdsEnum.walletConnectQrCode, innerHTML: this.qrCodeSvg }), h("div", null, this.description))) : (h("mvx-generic-spinner", { "data-testid": DataTestIdsEnum.walletConnectLoading }))));
    }
};
WalletConnectModal.style = walletConnectBodyScss;

export { WalletConnectModal as mvx_wallet_connect_body };
//# sourceMappingURL=mvx-wallet-connect-body.entry.js.map

//# sourceMappingURL=mvx-wallet-connect-body.entry.js.map