import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';

const transactionDirectionBadgeCss = ".transaction-direction-badge{display:flex}";

const TransactionDirectionBadge = /*@__PURE__*/ proxyCustomElement(class TransactionDirectionBadge extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: '9447de69144dcb11db6e38ad4c1c43bdb3f11ed0', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '0fe41883ad7fa5cb65e4a7a911db68a81baf921c', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
    static get style() { return transactionDirectionBadgeCss; }
}, [0, "mvx-transaction-direction-badge", {
        "class": [1],
        "direction": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-direction-badge"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-direction-badge":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDirectionBadge);
            }
            break;
    } });
}

const MvxTransactionDirectionBadge = TransactionDirectionBadge;
const defineCustomElement = defineCustomElement$1;

export { MvxTransactionDirectionBadge, defineCustomElement };
//# sourceMappingURL=mvx-transaction-direction-badge.js.map

//# sourceMappingURL=mvx-transaction-direction-badge.js.map