import { p as proxyCustomElement, H, h, F as Fragment } from './p-FAOyWG8K.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$1 } from './p-C-O31jhY.js';

const walletConnectBodyScss = ".modal-body{display:flex;justify-content:center;align-items:center;padding:16px;min-height:300px;flex-direction:column}.qr-code-container{display:flex;justify-content:center;align-items:center;width:300px;height:auto}";

const WalletConnectModal = /*@__PURE__*/ proxyCustomElement(class WalletConnectModal extends H {
    constructor() {
        super();
        this.__registerHost();
        this.qrCodeSvg = '';
        this.description = '';
    }
    render() {
        return (h("div", { key: '38905702b7bc9c6a0ac11125e91fedf4c6428ffd', class: "modal-body" }, this.qrCodeSvg ? (h(Fragment, null, h("div", { class: "qr-code-container", "data-testid": DataTestIdsEnum.walletConnectQrCode, innerHTML: this.qrCodeSvg }), h("div", null, this.description))) : (h("mvx-generic-spinner", { "data-testid": DataTestIdsEnum.walletConnectLoading }))));
    }
    static get style() { return walletConnectBodyScss; }
}, [0, "mvx-wallet-connect-body", {
        "qrCodeSvg": [1, "qr-code-svg"],
        "description": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-wallet-connect-body", "mvx-generic-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-wallet-connect-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, WalletConnectModal);
            }
            break;
        case "mvx-generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { WalletConnectModal as W, defineCustomElement as d };
//# sourceMappingURL=p-BqrrnrD2.js.map

//# sourceMappingURL=p-BqrrnrD2.js.map