import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";

const GenericSpinner = /*@__PURE__*/ proxyCustomElement(class GenericSpinner extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return h("div", Object.assign({ key: '39719300a608a254450c4e5e7996d8b4c8ac2b8c', class: "spinner" }, this.host.attributes));
    }
    get host() { return this; }
    static get style() { return genericSpinnerCss; }
}, [0, "mvx-generic-spinner"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-generic-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-generic-spinner":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericSpinner);
            }
            break;
    } });
}

export { GenericSpinner as G, defineCustomElement as d };
//# sourceMappingURL=p-C-O31jhY.js.map

//# sourceMappingURL=p-C-O31jhY.js.map