import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';

const balanceComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.balance-container{display:flex;flex-direction:column}.amount-container{display:inline-flex;align-items:flex-start;gap:4px;font-size:24px;line-height:1}.amount-value{font-weight:bold}.amount-ticker{font-size:16px;align-self:flex-start}";

const BalanceComponent = /*@__PURE__*/ proxyCustomElement(class BalanceComponent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'ebdb0fa752a1f2fc01d811fc0cb276f63d5b71a8', class: "balance-container" }, this.header && h("p", { key: '1bce11a454798668f93f86d5f40f0a33fe31e1c3' }, this.header), h("div", { key: '97e114ae3b6ebf86304acacc4bc3751f5e9dec58', class: "amount-container" }, h("span", { key: '692dea59a0c8c85423152f8e409928278e338521', class: "amount-value" }, this.amount), h("span", { key: '732e442ac67c397dbca5c76241ed7a748978bb50', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'dfc6484ee0fd3e270d3bd355568332e08435b05e' }, this.usdValue)));
    }
    static get style() { return balanceComponentCss; }
}, [0, "mvx-balance-component", {
        "amount": [1],
        "ticker": [1],
        "usdValue": [1, "usd-value"],
        "header": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-balance-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-balance-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BalanceComponent);
            }
            break;
    } });
}

export { BalanceComponent as B, defineCustomElement as d };
//# sourceMappingURL=p-Dx8Lk9t0.js.map

//# sourceMappingURL=p-Dx8Lk9t0.js.map