'use strict';

var index = require('./index-DnF1G--N.js');
var getIconHtmlFromIconDefinition = require('./getIconHtmlFromIconDefinition-CcxaDUjV.js');
var getIconHtmlFromIconName = require('./getIconHtmlFromIconName-C81SQtii.js');
require('./index-B-Dw-4Qa.js');

const faIconCss = ".fa-icon{width:100%;height:100%}";

const FaIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.class = 'fa-icon';
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = typeof this.icon === 'string' ? getIconHtmlFromIconName.getIconHtmlFromIconName(this.icon) : getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(this.icon);
        return index.h("i", { class: this.class, innerHTML: iconHtml, title: this.description });
    }
};
FaIcon.style = faIconCss;

exports.mvx_fa_icon = FaIcon;
//# sourceMappingURL=mvx-fa-icon.entry.cjs.js.map

//# sourceMappingURL=mvx-fa-icon.cjs.entry.js.map