'use strict';

var index = require('./index-DnF1G--N.js');
var index$1 = require('./index-Cws2ei2C.js');
require('./_commonjsHelpers-MBWFX2dn.js');

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";

const TransactionAccountName = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        if (this.name) {
            return (index.h("div", { class: index$1.classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return index.h("mvx-trim-text", { text: this.address, class: index$1.classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
};
TransactionAccountName.style = transactionAccountNameCss;

exports.mvx_transaction_account_name = TransactionAccountName;
//# sourceMappingURL=mvx-transaction-account-name.entry.cjs.js.map

//# sourceMappingURL=mvx-transaction-account-name.cjs.entry.js.map