import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { g as getIconHtmlFromIconDefinition } from './getIconHtmlFromIconDefinition-qtCpOx4f.js';
import { g as getIconHtmlFromIconName } from './getIconHtmlFromIconName-Bxh9x4GC.js';
import './index-V-nc4w6z.js';

const faIconCss = ".fa-icon{width:100%;height:100%}";

const FaIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.class = 'fa-icon';
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = typeof this.icon === 'string' ? getIconHtmlFromIconName(this.icon) : getIconHtmlFromIconDefinition(this.icon);
        return h("i", { class: this.class, innerHTML: iconHtml, title: this.description });
    }
};
FaIcon.style = faIconCss;

export { FaIcon as mvx_fa_icon };
//# sourceMappingURL=mvx-fa-icon.entry.js.map

//# sourceMappingURL=mvx-fa-icon.entry.js.map