import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { c as classNames } from './index-CcLhQtEp.js';
import './_commonjsHelpers-Dj2_voLF.js';

const transactionDirectionBadgeCss = ".transaction-direction-badge{display:flex}";

const TransactionDirectionBadge = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: '9447de69144dcb11db6e38ad4c1c43bdb3f11ed0', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '0fe41883ad7fa5cb65e4a7a911db68a81baf921c', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
};
TransactionDirectionBadge.style = transactionDirectionBadgeCss;

export { TransactionDirectionBadge as mvx_transaction_direction_badge };
//# sourceMappingURL=mvx-transaction-direction-badge.entry.js.map

//# sourceMappingURL=mvx-transaction-direction-badge.entry.js.map