import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { j as faInfoCircle } from './p-LoDd7cPH.js';
import { E as EventBus } from './p-S9juR7eS.js';
import { d as defineCustomElement$g } from './p-aqiOFbXW.js';
import { d as defineCustomElement$f } from './p-BhfIuGAV.js';
import { d as defineCustomElement$e } from './p-C61O5PTR.js';
import { d as defineCustomElement$d } from './p-DMSFrEEJ.js';
import { d as defineCustomElement$c } from './p-C7hcaz0W.js';
import { d as defineCustomElement$b } from './p-vev_v1Xr.js';
import { d as defineCustomElement$a } from './p-2EAIMxwa.js';
import { d as defineCustomElement$9 } from './p-BWYxoN3R.js';
import { d as defineCustomElement$8 } from './p-CXj-MOnE.js';
import { d as defineCustomElement$7 } from './p-CY-owJPn.js';
import { d as defineCustomElement$6 } from './p-HyUAo-dS.js';
import { d as defineCustomElement$5 } from './p-BEiZUtYF.js';
import { d as defineCustomElement$4 } from './p-DYrfw6qB.js';
import { d as defineCustomElement$3 } from './p-DvIsYrF1.js';
import { d as defineCustomElement$2 } from './p-CwbHD16e.js';

var NotificationsFeedEventsEnum;
(function (NotificationsFeedEventsEnum) {
    NotificationsFeedEventsEnum["CLOSE_NOTIFICATIONS_FEED"] = "CLOSE_NOTIFICATIONS_FEED";
    NotificationsFeedEventsEnum["CLEAR_NOTIFICATIONS_FEED_HISTORY"] = "CLEAR_NOTIFICATIONS_FEED_HISTORY";
    NotificationsFeedEventsEnum["OPEN_NOTIFICATIONS_FEED"] = "OPEN_NOTIFICATIONS_FEED";
    // Event to update the pending transactions list
    NotificationsFeedEventsEnum["PENDING_TRANSACTIONS_UPDATE"] = "PENDING_TRANSACTIONS_UPDATE";
    // Event to update the transactions history list
    NotificationsFeedEventsEnum["TRANSACTIONS_HISTORY_UPDATE"] = "TRANSACTIONS_HISTORY_UPDATE";
})(NotificationsFeedEventsEnum || (NotificationsFeedEventsEnum = {}));

const variablesCss = ":root{--mx-accent:#FFFFFF;--mx-white:#FFFFFF;--mx-black:#000000;--mx-neutral-900:#171717;--mx-neutral-50:#FAFAFA;--mx-neutral-400:#A3A3A3;--mx-text:var(--mx-white);--mx-primary-text:#262626;--mx-secondary-text:#868686;--mx-warning-text:#facc15;--mx-body-label-color:#a09a93;--mx-warning-text:#facc15;--mx-tx-bg:rgba(53, 53, 53);--mx-tx-bg-transparent:rgba(53, 53, 53, 0.3);--mx-tx-text-primary:#e8e8e8;--mx-tx-text-secondary:#737373;--mx-toast-backdrop-blur:38px;--mx-toast-success-bg:#1D6030;--mx-toast-success-color:#4ADE80;--mx-toast-pending-bg:#453412;--mx-toast-pending-color:#FACC15;--mx-toast-error-bg:rgba(255, 71, 71, 0.2);--mx-toast-error-color:#FF4747;--font-family-roobert:\"Roobert PRO\", system-ui, -apple-system, sans-serif;--mx-explorer-link-color:var(--mx-text-primary);--mx-transition:0.3s ease-in-out}";

const notificationsFeedScss = variablesCss + "\n\n.feed-content {\n  height: 100%;\n  display: flex;\n  flex-direction: column;\n  position: relative;\n  gap: 24px;\n  padding: 4px 0 0 0;\n  overflow: hidden;\n\n  .transaction-toast-content-wrapper {\n    width: 100%;\n    background: var(--mx-tx-bg-transparent);\n    border-color: var(--mx-tx-bg-transparent);\n  }\n}\n\n.notifications-info {\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  gap: 14px;\n  justify-content: space-between;\n  gap: 14px;\n  margin: 0;\n  color: var(--mx-warning-text);\n\n  /* body/regular/xs */\n  font-size: 12px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 140%;\n  color: var(--mx-warning-text);\n\n  /* body/regular/xs */\n  font-size: 12px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 140%;\n\n  .info-icon {\n    color: var(--mx-warning-text);\n    color: var(--mx-warning-text);\n    font-size: 16px;\n    width: 16px;\n    height: 16px;\n    width: 16px;\n    height: 16px;\n  }\n}\n\n.notifications-container {\n  margin-bottom: 24px;\n\n  .processing-status {\n    font-size: 16px;\n    color: var(--mx-body-label-color);\n    font-size: 16px;\n    color: var(--mx-body-label-color);\n    margin-bottom: 16px;\n  }\n}\n\n.activity-section {\n  display: flex;\n  flex-direction: column;\n  flex: 1;\n  min-height: 0;\n  margin: 0 -24px 0 0;\n}\n\n.activity-header {\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n  margin: 0 24px 16px 0;\n\n  .activity-title {\n    font-size: 20px;\n    font-weight: 500;\n    margin: 0;\n    color: var(--mx-body-label-color);\n    color: var(--mx-body-label-color);\n  }\n\n  .clear-button {\n    background: none;\n    border: none;\n    padding: 0;\n    color: #666666;\n    font-size: 16px;\n    font-size: 16px;\n    cursor: pointer;\n\n    &:hover {\n      color: #000000;\n    }\n  }\n}\n\n.activity-list {\n  flex: 1;\n  overflow-y: auto;\n  overflow-x: hidden;\n  min-height: 0;\n  padding: 0 24px 0 0;\n  display: flex;\n  flex-direction: column;\n  gap: 4px;\n  display: flex;\n  flex-direction: column;\n  gap: 4px;\n\n  .no-activity {\n    padding: 16px;\n    text-align: center;\n    color: #666666;\n  }\n\n  &::-webkit-scrollbar {\n    width: 4px;\n  }\n\n  &::-webkit-scrollbar-track {\n    background: rgba(0, 0, 0, 0.05);\n    border-radius: 2px;\n  }\n\n  &::-webkit-scrollbar-thumb {\n    background: rgba(0, 0, 0, 0.2);\n    border-radius: 2px;\n  }\n\n  // Ensure children don't cause horizontal scroll\n  > * {\n    width: 100%;\n    max-width: 100%;\n    box-sizing: border-box;\n  }\n}\n";

const NotificationsFeed = /*@__PURE__*/ proxyCustomElement(class NotificationsFeed extends H {
    constructor() {
        super();
        this.__registerHost();
        this.isOpen = false;
        this.pendingTransactions = [];
        this.transactionsHistory = [];
        this.eventBus = new EventBus();
        this.closeEventTimeout = null;
        this.handleClose = () => {
            this.isOpen = false;
            this.eventBus.publish(NotificationsFeedEventsEnum.CLOSE_NOTIFICATIONS_FEED);
        };
        this.handleClear = () => {
            this.eventBus.publish(NotificationsFeedEventsEnum.CLEAR_NOTIFICATIONS_FEED_HISTORY);
        };
        this.handleViewAll = () => {
            this.isOpen = true;
        };
    }
    clearTimeouts() {
        if (this.closeEventTimeout) {
            clearTimeout(this.closeEventTimeout);
            this.closeEventTimeout = null;
        }
    }
    disconnectedCallback() {
        this.clearTimeouts();
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.unsubscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b, _c;
        const hasActivity = ((_a = this.transactionsHistory) === null || _a === void 0 ? void 0 : _a.length) > 0;
        const hasPending = ((_b = this.pendingTransactions) === null || _b === void 0 ? void 0 : _b.length) > 0;
        return (h("mvx-side-panel", { key: '99dfc791337bed6050076c790123155f14e0cd97', isOpen: this.isOpen, panelTitle: "Notifications Feed", onClose: this.handleClose }, h("div", { key: '1bc2f2f3995d15d36f54aac458b9b398d0352d7b', class: "feed-content" }, h("div", { key: '67ff42bad476a37fa7d130859de3c4e9be998c1c', class: "notifications-info" }, h("mvx-fa-icon", { key: '2fd1802a8328c65e26625fc61a50a47f2a60620a', class: "info-icon", icon: faInfoCircle }), "This feed is stored in your browser and will be reset when a new session is started.", h("fa-icon", { key: '36828db6493628a5e2373400fbc45ba58ff625c4', class: "info-icon", icon: faInfoCircle })), hasPending && (h("div", { key: '610155bdc25b3a13033062f2283f759212235227', class: "notifications-container" }, h("div", { key: '1387fad9c3a2bfcba5f0234f195c07240c34baec', class: "processing-status" }, "Processing..."), (_c = this.pendingTransactions) === null || _c === void 0 ? void 0 :
            _c.map(toast => h("mvx-transaction-toast", Object.assign({ fullWidth: true }, toast))))), h("div", { key: '21b41df8e7c3eb9da0e7bf9709c97a494a64b9f7', class: "activity-section" }, h("div", { key: 'f40c84a2e57609557aefa3926ade596cfe8f919e', class: "activity-header" }, h("h3", { key: '2077cbdd8813d3b9e7b6b8dc10d6f928dca3ef0d', class: "activity-title" }, "Activity"), hasActivity && (h("button", { key: 'e7a4f805bfc0e0fe35fbedf855a3e924fdeffb4d', class: "clear-button", onClick: this.handleClear }, "Clear"))), h("div", { key: '2674a447e8673aefc6a0d285d27b0e6ad13d6478', class: "activity-list" }, hasActivity ? (this.transactionsHistory.map(transaction => h("mvx-transaction-list-item", { transaction: transaction }))) : (h("div", { class: "no-activity" }, "No activity to show")))))));
    }
    pendingTransactionsUpdate(payload) {
        this.pendingTransactions = [...payload];
    }
    transactionsHistoryUpdate(payload) {
        this.transactionsHistory = [...payload];
    }
    componentDidLoad() {
        this.eventBus.subscribe(NotificationsFeedEventsEnum.PENDING_TRANSACTIONS_UPDATE, this.pendingTransactionsUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.TRANSACTIONS_HISTORY_UPDATE, this.transactionsHistoryUpdate.bind(this));
        this.eventBus.subscribe(NotificationsFeedEventsEnum.OPEN_NOTIFICATIONS_FEED, this.handleViewAll.bind(this));
    }
    static get style() { return notificationsFeedScss; }
}, [0, "mvx-notifications-feed", {
        "isOpen": [32],
        "pendingTransactions": [32],
        "transactionsHistory": [32],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-notifications-feed", "mvx-back-arrow-icon", "mvx-close-icon", "mvx-copy-button", "mvx-default-transaction-icon-large", "mvx-default-transaction-icon-small", "mvx-explorer-link", "mvx-fa-icon", "mvx-side-panel", "mvx-transaction-list-item", "mvx-transaction-toast", "mvx-transaction-toast-content", "mvx-transaction-toast-details", "mvx-transaction-toast-details-body", "mvx-transaction-toast-progress", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-notifications-feed":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NotificationsFeed);
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$g();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$f();
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$e();
            }
            break;
        case "mvx-default-transaction-icon-large":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "mvx-default-transaction-icon-small":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-transaction-list-item":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxNotificationsFeed = NotificationsFeed;
const defineCustomElement = defineCustomElement$1;

export { MvxNotificationsFeed, defineCustomElement };
//# sourceMappingURL=mvx-notifications-feed.js.map

//# sourceMappingURL=mvx-notifications-feed.js.map