import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$3 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$2 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$1 } from './p-B-C0NQx_.js';

const transactionHashCss = "";

const TransactionHash = /*@__PURE__*/ proxyCustomElement(class TransactionHash extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: classNames(this.class, 'transaction-hash') }, h("mvx-transaction-icon", { iconInfo: this.transaction.iconInfo }), h("mvx-explorer-link", { dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
    static get style() { return transactionHashCss; }
}, [0, "mvx-transaction-hash", {
        "class": [1],
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-hash", "mvx-explorer-link", "mvx-fa-icon", "mvx-transaction-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-hash":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionHash);
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionHash as T, defineCustomElement as d };
//# sourceMappingURL=p--mqEdOJJ.js.map

//# sourceMappingURL=p--mqEdOJJ.js.map