import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';

const ledgerConnectScreenScss = ".access-button{display:block;width:200px;margin:20px auto;padding:12px;background-color:#1a56db;color:white;border:none;border-radius:8px;cursor:pointer}.access-button:disabled{background-color:#a1a1a1;color:#e0e0e0;cursor:not-allowed;opacity:0.6;box-shadow:none;transform:none}.connection-link{display:flex;justify-content:center}";

const LedgerConnectScreen = /*@__PURE__*/ proxyCustomElement(class LedgerConnectScreen extends H {
    constructor() {
        super();
        this.__registerHost();
        this.connect = createEvent(this, "connect");
    }
    render() {
        var _a, _b, _c, _d;
        return (h("div", { key: 'b4d85dd649d2637fb1b258972adbcb84d096529d' }, ((_a = this.connectScreenData) === null || _a === void 0 ? void 0 : _a.error) && h("p", { key: '194280a98b6e7bc393d1ff5ff21e81ea4e73c9f2' }, this.connectScreenData.error), ((_b = this.connectScreenData) === null || _b === void 0 ? void 0 : _b.customContentMarkup) && ((_c = this.connectScreenData) === null || _c === void 0 ? void 0 : _c.customContentMarkup), h("button", { key: '095d6fc3c56b72a9febb429d5a0d31d48f3d7b82', "data-testid": DataTestIdsEnum.ledgerConnectBtn, class: "access-button", onClick: () => this.connect.emit(), disabled: (_d = this.connectScreenData) === null || _d === void 0 ? void 0 : _d.disabled }, "Connect Ledger"), h("a", { key: 'a0e39be16ae8cd5d97e00451a659a1635c4efbcb', href: "https://support.ledger.com/hc/en-us/articles/115005165269-Connection-issues-with-Windows-or-Linux", target: "_blank", rel: "noopener noreferrer", class: "connection-link" }, "Having connection issues?")));
    }
    static get style() { return ledgerConnectScreenScss; }
}, [0, "mvx-ledger-connect-screen", {
        "connectScreenData": [16, "connect-screen-data"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-ledger-connect-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-ledger-connect-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnectScreen);
            }
            break;
    } });
}

export { LedgerConnectScreen as L, defineCustomElement as d };
//# sourceMappingURL=p-BVrnSDXE.js.map

//# sourceMappingURL=p-BVrnSDXE.js.map