import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$2 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$1 } from './p-2EAIMxwa.js';

const transactionShardsCss = ".transaction-shards,.transaction-shards-arrow{align-items:center;display:flex;gap:0.5rem;width:max-content}";

const TransactionShards = /*@__PURE__*/ proxyCustomElement(class TransactionShards extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: '0045c507d0affac9a30794cdf234fe066498f863', class: classNames(this.class, 'transaction-shards') }, h("mvx-explorer-link", { key: 'd993f6f74262eb4799de3664e039180a6bf7378b', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: '884f57a19e30ecef83455e92001afb937b320381', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '1e7d911f9eb57f342e2bf6f82de4234400fc9982', class: "transaction-shards-arrow" }, "\u2794"), h("mvx-explorer-link", { key: '79c925c7c68bc51476bda5264aec2219e2ce60a9', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '1a9beb14855d4ef760a1bb8ddac36f89a5fc796e', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get style() { return transactionShardsCss; }
}, [0, "mvx-transaction-shards", {
        "class": [1],
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-shards", "mvx-explorer-link", "mvx-fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-shards":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionShards);
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionShards as T, defineCustomElement as d };
//# sourceMappingURL=p-C3jv_GJe.js.map

//# sourceMappingURL=p-C3jv_GJe.js.map