import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { d as defineCustomElement$9 } from './p-C61O5PTR.js';
import { d as defineCustomElement$8 } from './p-C7hcaz0W.js';
import { d as defineCustomElement$7 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$6 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$5 } from './p-HyUAo-dS.js';
import { d as defineCustomElement$4 } from './p-BEiZUtYF.js';
import { d as defineCustomElement$3 } from './p-DYrfw6qB.js';
import { d as defineCustomElement$2 } from './p-DvIsYrF1.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionToastCss = ".transaction-toast{position:relative}";

const TransactionToast = /*@__PURE__*/ proxyCustomElement(class TransactionToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        var _a, _b;
        return (h("div", { key: '8821d03a3d9096168442edf9205e53f176e6bd5b', class: "transaction-toast" }, h("mvx-transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, h("mvx-transaction-toast-content", { key: '4ff6380fe7a9cd5b19958c6da631c1538e802951', fullWidth: this.fullWidth, toastDataState: this.toastDataState, transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus, onDeleteToast: this.handleDeleteToast.bind(this) }))));
    }
    static get style() { return transactionToastCss; }
}, [0, "mvx-transaction-toast", {
        "toastId": [1, "toast-id"],
        "wrapperClass": [1, "wrapper-class"],
        "fullWidth": [4, "full-width"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "toastDataState": [16, "toast-data-state"],
        "transactionProgressState": [16, "transaction-progress-state"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-toast", "mvx-copy-button", "mvx-default-transaction-icon-small", "mvx-explorer-link", "mvx-fa-icon", "mvx-transaction-toast-content", "mvx-transaction-toast-details", "mvx-transaction-toast-details-body", "mvx-transaction-toast-progress", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToast);
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-default-transaction-icon-small":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToast as T, defineCustomElement as d };
//# sourceMappingURL=p-CY-owJPn.js.map

//# sourceMappingURL=p-CY-owJPn.js.map