import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';

const transactionAgeCss = ".transaction-age{width:max-content}";

const TransactionAge = /*@__PURE__*/ proxyCustomElement(class TransactionAge extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const component = this.tooltip ? (h("div", { class: classNames(this.class, 'transaction-age'), title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("div", { class: classNames(this.class, 'transaction-age'), "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("div", { key: '8245972d5df2a6e98b3354bc00e520241bd5278f', class: classNames(this.class, 'transaction-age') }, component);
    }
    static get style() { return transactionAgeCss; }
}, [0, "mvx-transaction-age", {
        "age": [1],
        "class": [1],
        "tooltip": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-age"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-age":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAge);
            }
            break;
    } });
}

export { TransactionAge as T, defineCustomElement as d };
//# sourceMappingURL=p-D3wRV66B.js.map

//# sourceMappingURL=p-D3wRV66B.js.map