import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { a as faArrowUpRightFromSquare } from './p-LoDd7cPH.js';
import { d as defineCustomElement$1 } from './p-2EAIMxwa.js';

const explorerLinkCss = ".explorer-link{text-decoration:none;color:var(--mx-explorer-link-color, -webkit-link);}";

const ExplorerLink = /*@__PURE__*/ proxyCustomElement(class ExplorerLink extends H {
    constructor() {
        super();
        this.__registerHost();
        this.class = 'explorer-link';
        this.iconClass = 'explorer-link-icon';
        this.hasSlotContent = false;
    }
    componentWillLoad() {
        this.hasSlotContent = !!this.hostElement.querySelector('[slot="content"]');
    }
    render() {
        var _a, _b;
        return (h("a", { key: '88b13ed31963a66055c3daaa45e0b962a9221974', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: this.class, rel: "noreferrer" }, this.hasSlotContent ? h("slot", { name: "content" }) : (_a = this.text) !== null && _a !== void 0 ? _a : h("mvx-fa-icon", { icon: (_b = this.icon) !== null && _b !== void 0 ? _b : faArrowUpRightFromSquare, class: this.iconClass })));
    }
    get hostElement() { return this; }
    static get style() { return explorerLinkCss; }
}, [4, "mvx-explorer-link", {
        "class": [1],
        "iconClass": [1, "icon-class"],
        "dataTestId": [1, "data-test-id"],
        "icon": [16],
        "link": [1],
        "text": [1],
        "hasSlotContent": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-explorer-link", "mvx-fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ExplorerLink);
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { ExplorerLink as E, defineCustomElement as d };
//# sourceMappingURL=p-vev_v1Xr.js.map

//# sourceMappingURL=p-vev_v1Xr.js.map